shishi_priv_process(3)

NAME
shishi_priv_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_priv_process(Shishi_priv * priv, Shishi_key * key);

ARGUMENTS

Shishi_priv * priv
    priv as allocated by shishi_priv().

Shishi_key * key
    key to use to decrypt EncPrivPart.

DESCRIPTION
Decrypt encrypted data in KRB-PRIV and set the EncPrivPart in the PRIV exchange.

RETURN VALUE
Returns SHISHI_OK iff successful, SHISHI_PRIV_BAD_KEYTYPE if an incompatible key type is used, or SHISHI_CRYPTO_ERROR if the actual decryption failed.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.